(function ($) {
    "use strict";

    $(document).on("click", ".pe-compare-btn , .remove-compare", function (e) {
        e.preventDefault();
        let productId = $(this).data("product-id");
        let btn = $(this);

        btn.addClass("loading");

        let isLoggedIn = woocommerce_params.is_user_logged_in === "1";

        if (isLoggedIn) {

            $.ajax({
                url: woocommerce_params.ajax_url,
                type: "POST",
                data: {
                    action: "pe_toggle_compare",
                    product_id: productId,
                },
                dataType: "json",
                success: function (data) {
                    if (data.success) {
                        btn.removeClass("loading");

                        document.dispatchEvent(new CustomEvent("compareUpdated"));

                        setTimeout(() => {
                            if (data.data.status === "added") {
                                btn.addClass("in--compare");
                            } else if (data.data.status === "removed") {
                                btn.removeClass("in--compare");
                            }


                        }, 10);
                    }
                },
            });
        } else {

            btn.addClass("loading");

            setTimeout(() => {

                let compare = getCompareCookie();

                if (compare.includes(productId)) {
                    compare = compare.filter((id) => id !== productId);
                    btn.removeClass("in--compare");
                } else {
                    compare.push(productId);
                    btn.addClass("in--compare");
                }
                setCompareCookie(compare);
                btn.removeClass("loading");

                document.dispatchEvent(new CustomEvent("compareUpdated"));

            }, 1000);


        }
    });

    function getCompareCookie() {
        let cookieValue = document.cookie
            .split("; ")
            .find((row) => row.startsWith("pe_compare="));

        return cookieValue ? JSON.parse(decodeURIComponent(cookieValue.split("=")[1])) : [];
    }

    function setCompareCookie(compare) {
        document.cookie = `pe_compare=${encodeURIComponent(JSON.stringify(compare))}; path=/; max-age=${30 * 24 * 60 * 60}`;
    }

    document.addEventListener("compareUpdated", function () {
        if (document.querySelector('.pe--compare--items--wrap')) {
            var url = new URL(window.location.href);

            let compare = getCompareCookie();
            url.searchParams.delete("comp");
            compare.forEach(id => url.searchParams.append("comp[]", id));

            var currentWrapper = document.querySelectorAll('.pe--compare--items--wrap'),
                currentMain = document.querySelectorAll('.pe--compare--container');

            $.ajax({
                url: url.toString(),
                type: 'GET',
                dataType: 'html',
                success: function (response) {
                    var doc = $('<div>').html(response);
                    if (!doc.find('.pe--compare--empty')) {
                        var newProducts = doc.find('.pe--compare--items--wrap');
                        currentWrapper.forEach(wrap => {
                            wrap.innerHTML = newProducts[0].innerHTML;
                        });
                    } else {
                        var newCont = doc.find('.pe--compare--items--wrap');
                        currentMain.forEach(wrap => {
                            wrap.innerHTML = newCont[0].innerHTML;
                        });
                    }

                }
            });
        }
    });


    function getCompareCookie() {
        let cookieValue = document.cookie
            .split("; ")
            .find(row => row.startsWith("pe_compare="));

        return cookieValue ? JSON.parse(decodeURIComponent(cookieValue.split("=")[1])) : [];
    }


}(jQuery));

